Issue 4385

Summary: Support external named ranges in Excel import
Product: Calc Reporter: iherman <ivan>
Component: codeAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, kyoshida, ooo
Version: OOo 1.0.0Keywords: ms_interoperability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 3740    
Issue Blocks:    

Description iherman 2002-05-02 19:17:46 UTC
If I try to refer to a spreadsheet file's named range from another file, the 
named range disappears from the reference and is replaced by the explicit range 
xx:yy. This is not right, because, for example, if I modify the content of the 
named range, everything goes bust.

Beyond this, if I import a spreadsheet from Excel which includes lookups to 
another file, the reference to the other file disappears after the conversion.

(My problem is the combinations of these two...)
Comment 1 daniel.rentz 2002-10-31 11:18:12 UTC
*** Issue 8848 has been marked as a duplicate of this issue. ***
Comment 2 oc 2002-11-28 09:33:07 UTC
Hi Daniel,
please have a look at this.
Comment 3 daniel.rentz 2002-11-28 10:03:03 UTC
Are there test documents available? Please attach them.
Comment 4 daniel.rentz 2003-01-13 16:10:10 UTC
target->OOoLater
Comment 5 kyoshida 2008-01-29 01:37:36 UTC
@dr: Does Calc already support external defined names?  My impression is that it
does not, but I'd like to know for sure.
Comment 6 daniel.rentz 2008-01-29 08:58:57 UTC
No, external names are not supported yet.
Comment 7 kyoshida 2008-06-04 02:46:51 UTC
I'm currently looking into supporting external defined names in Calc.
Comment 8 kyoshida 2008-06-26 22:36:03 UTC
I'm taking over this issue.  This is not just an Excel import issue, but also an
issue with the Calc core; we need to add support for external named ranges in
the core before we can import them from Excel properly.
Comment 9 kyoshida 2008-06-26 22:39:12 UTC
Changing the type to enhancement.
Comment 10 jjschulz 2008-06-27 06:37:25 UTC
It seems Issue 3740 is a dup of this one.
Comment 11 kyoshida 2008-07-02 14:43:35 UTC
Make this just an Excel import issue.
Comment 12 kyoshida 2008-08-14 17:03:48 UTC
setting keyword
Comment 13 ooo 2008-08-20 15:01:22 UTC
@kohei: I added this issue to cws mooxlsc, since that is where the related
changes went in. Please check what else is needed.
Comment 14 kyoshida 2008-08-20 15:06:37 UTC
You can also add Issue 3740 since that's the main issue for supporting external
defined names.
Comment 15 kyoshida 2008-08-20 15:09:31 UTC
BTW I'm happy to finally announce that this is now fixed in mooxlsc. :-)
Comment 16 kyoshida 2008-08-20 15:10:13 UTC
reassigning to oc for qa.
Comment 17 ooo 2008-08-20 16:06:14 UTC
umm.. usually we wait until the final cws build is ready and the fix is verified
there by the developer before reassigning an issue to QA ...
Added issue 3740 to the cws as well.
Comment 18 kyoshida 2008-08-20 16:12:28 UTC
ah ok.  Then I'll take it back for now.
Comment 19 ooo 2008-08-28 11:50:07 UTC
*** Issue 78030 has been marked as a duplicate of this issue. ***
Comment 20 ooo 2008-11-20 22:37:42 UTC
Reopening.

@kohei: In MOOXML import an external global name is now correctly
parsed under ScCompiler::IsExternalNamedRange(), including ExternalLinks
index, but ScExternalRefManager::getRangeNameTokens() doesn't find it.

Please fetch current cws mooxlsc from SVN. You may use
http://sc.openoffice.org/testdocs/external/externallink_import_oox7.xlsx
for tests, cell Sheet1.H32 should have a valid result.
Comment 21 ooo 2008-11-20 23:04:35 UTC
For reference: the BIFF12 document
http://sc.openoffice.org/testdocs/external/externallink_import_oox7.xlsb
also has an error there.

The BIFF8 document
http://sc.openoffice.org/testdocs/external/externallink_import_biff8.xls
crashes in
ScTokenArray::Clone (this=0x0)
ScExternalRefManager::storeRangeNameTokens()
XclImpExtName::CreateExtNameData()
with XclImpExtName.mxArray passed being a null reference.
Comment 22 ooo 2008-11-21 11:55:12 UTC
This is confusing. For MOOXML and BIFF12 the import of external names is not
implemented yet and thus can't work. We still have the BIFF8 crash though.
Comment 23 kyoshida 2008-11-21 20:35:10 UTC
I just fixed the crash bug on loading BIFF8 documents in mooxlsc.  The reason
for crash was the document contained per-sheet external names which are not
supported yet.  We can punt that to future implementation.
Comment 24 ooo 2008-12-02 15:55:41 UTC
Reopening and retargeting to OOo3.2 to align with issue 3740 that got reopened,
where external name references depend on.
Comment 25 thorsten.ziehm 2009-11-04 13:52:57 UTC
OOo 3.2 is in show-stopper stage. This issue is re-targeted to OOo 3.x. If this
issue is critical for the current release please target it back.
Comment 26 Rob Weir 2013-07-30 02:41:59 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.